{% set PageTitle = "Homepage - Broker" %}

{% extends "master.html" %}

{% block main %}

{% endblock %}

{% block styles %}
{% endblock %}

{% block scripts %}
{% endblock %}

{% block header %}
    <script>
       window.addEventListener('load', function(){
      ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
        desktopImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        },
	      mobImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        }
      }), document.getElementById("HeaderBanner"));
    })
    </script>
{% endblock %}

{% block footer %}

	<script>
     window.addEventListener('load', function(){
		ReactDOM.render(React.createElement(Components.Footer, {
          awardLink:{},
          awardLogo:"",
          awardText:"",
        copyright:`<p>&copy; 2017 Liverpool Victoria</p>
              <p>All our products are covered by lorem ipsum Duis congue posuere iaculis. Proin pellentes. </p>`,
        logo:'<img src="dist/images/lv-logo.png"></img>',
        logoLink:{href:"index.html"},
        items:[
            {
                heading: "Company",
                children: [
                  {
                    link:'<a href="about--green-heart.html">About us</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Our History</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Awards and Recognition</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Press</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Company Information</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Corporate Responsibility</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Careers</a>',
                  }
                ],
                open:false
            },
            {
                heading: "Contact us",
                children: [
                  {
                    link:'<a href="about--green-heart.html">General Enquiries</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Make a Complaint</a>',
                  }
                ],
                open:false
            },
            {
                heading: "Legal",
                children: [
                  {
                    link:'<a href="about--green-heart.html">Terms of Use</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Online Security</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Product Legal Information</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Accessibility</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Cookie Policy</a>',
                  }
                ],
                open:false
            },
            {
                heading: "Legal",
                children: [
                  {
                    link:'<a href="about--green-heart.html">Terms of Use</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Online Security</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Product Legal Information</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Accessibility</a>',
                  },
                  {
                    link:'<a href="about--green-heart.html">Cookie Policy</a>',
                  }
                ],
                open:false
            }
          ],
          socialIcons:[
            {
              href:"http://www.facebook.com",
              link:'<a href="http://www.twitter.com">twitter</a>',
              logo:'<img src="dist/images/cms/Facebook.svg" alt="twitter"/>'
            },
            {
              href:"http://www.facebook.com",
              link:'<a href="http://www.twitter.com">twitter</a>',
              logo:'<img src="dist/images/cms/Twitter.svg" alt="twitter"/>'
            },
            {
              href:"http://www.facebook.com",
              link:'<a href="http://www.twitter.com">twitter</a>',
              logo:'<img src="dist/images/cms/LinkedIn.svg" alt="twitter"/>'
            },
            {
              href:"http://www.facebook.com",
              link:'<a href="http://www.twitter.com">twitter</a>',
              logo:'<img src="dist/images/cms/google.svg" alt="twitter"/>'
            }
          ]
      }), document.getElementById("footer"));
    })
	</script>
    {% endblock %}

{% block NavPrimary %}
	<script>
		ReactDOM.render(React.createElement(PriorityComponents.PrimaryNav, {
          logo:"<img src='dist/images/cms/lv-broker-logo.webp' />",
          logoType:'broker',
          logoLink:{
	         href:"./index.html",
          },
	        search:{
	          label:"Search",
	          placeholder:"Enter search term here"
	        },
	        primarynav:{

	          groups:[
	            {
	              label:"About us",
	              link:{href:"/insurance"},
	              visible:true,
	              position:0
	            },
	            {
	              label:"Our Products",
	              link:{href:"product-retirement.html"},
	              visible:true,
	              position:1
	            },
	            {
	              label:"Brokers",
	              link:{href:"product-investments.html"},
	              visible:true,
	              position:2
	            },

	            {
	              label:"More",
	              isOverflow:true,
	              link:{href:"#"},
	              visible:false,
	              position:3
	            }
	          ]
	        }
	      }), document.getElementById("primaryNav"));
	</script>
{% endblock %}

{% block FloatingActionButton %}
    	<script>
    		ReactDOM.render(React.createElement(PriorityComponents.FloatingActionButton, {
        copy: "Contact &amp; help",
        isEnabled:true,
        scriptBase:'/src/frontend/dist/',
			  contactContent: {
          heading:'What can we help with?',
          links:[
            {
              link:'<a href="#">Make a claim</a>'
            },
            {
              link:'<a href="#">Enquire about an existing claim</a>'
            },
            {
              link:'<a href="#">Form name (PDF, 357KB)</a>',
              isPDF:true,
              subLink:'<a href="#">Death claim guidance notes (PDF,89KB)'
            },
            {
              link:'<a href="#">Renew policy</a>'
            },
            {
              link:'<a href="#">Request policy documents</a>',
              subText:'Get copies of your insurance schedule or policy documents'
            },
            {
              link:'<a href="#">Pre travel advice</a>'
            },
          ],
          copy:`As well as useful FAQ links you can also pop in a rich text element too. This can also include <a href="#">a link or two</a> `,
          contact: null,
          ctaHeading:`Popular Questions`,
          ctas:[
            {
              type:'primary',
              link:`<a href="#">Start making a claim</a>`
            },
            {
              type:'secondary',
              link:`<a href="#">Visit the help centre</a>`
            }
          ]
        },
			  alert: {
          isEnabled:true,
			    icon: '<img src="dist/images/placeholder/storm.png">',
			    title: "Have you been affected by Storm Ophelia",
                name:"ophelia",
			    copy: "If you have, get in touch with us and we'll sort it out in no time",
			    cta: '<a href="#">Make a storm claim</a>'
			  }
			}), document.getElementById("FloatingActionButton"));
    	</script>
    {% endblock %}

{% block NavBreadcrumb %}{% endblock %}
